Flow Segment - elevation tag. How to add.

Hi,

Is there a way to add to FLOW SEGMENT an ELEVATION TAG?
The only thing I could do (using LISP) is get the object STARTPOINT (or ENDPOINT) value and extract from it a Z coordinate. Then put this value to TAG attribute.

How can I do it without additional LISP routines? Is there an "internal" Bricscad method to get ELEVATION of an object (in my case - FLOW SEGMENT)?

regards,
Warzyk

Comments

  • This would be done using a BIMTAG, which a based around Multileaders. There is information on how to do this in the HELP here. It is quite a process....

    Regards,
    Jason Bourhill
    BricsCAD V21 Ultimate
    CAD Concepts

  • @Jason Bourhill said:
    This would be done using a BIMTAG,

    I am using BIMTAG (with my custom MLEADER with BLOCK with ATTRIBUTES). ATTRIBUTES in block (in MLEADER) have to have a proper TAG which is automatically filled by BricsCAD. And my question is how should I name this TAG to get ELEVATION of given FLOW SEGMENT. Or maybe there is not such ELEVATION property?

    regards,
    Warzyk

  • @Andrzej Warzywoda said:

    I am using BIMTAG (with my custom MLEADER with BLOCK with ATTRIBUTES). ATTRIBUTES in block (in MLEADER) have to have a proper TAG which is automatically filled by BricsCAD. And my question is how should I name this TAG to get ELEVATION of given FLOW SEGMENT. Or maybe there is not such ELEVATION property?

    No, there is no such property as ELEVATION for a Flow Segment. To get a better idea of what BIM Properties are available you can use some LISP

    (defun C:BIMListProps ( )
        (if (not (VL-load-BIM)) (Princ "\nBIM API not available. Check your BricsCAD level"))
        (setq *ent* (car (entsel "\nSelect Entity: ")))
        (cond
            ( *ent*
                (print (bim:list-properties *ent*))
                (princ "\nEntity saved to *ent*")
            )
            (T (princ "\nNo entity selected"))
        )
     (prin1)
    )
    

    This gives the following properties for a Flow Segment

    : BIMLISTPROPS
    Select Entity: 
    ("Composition" "Description" "GeomHash" "InstancePropertySets" "Name" "PathString" "Profile" "SequenceNumber" "SpatialLocation" "XAxis" "YAxis" "NominalLengthCableLadder" "NominalWidthCableLadder" "NominalHeightCableLadder" "LadderConfiguration" "NominalLengthCableTray" "NominalWidthCableTray" "NominalHeightCableTray" "HasCover" "NominalLengthCableTrunking" "NominalWidthCableTrunking" "NominalHeightCableTrunking" "NumberOfCompartments" "NominalLengthConduit" "NominalWidthConduit" "NominalHeightConduit" "IsRigid" "CrossSectionalAreaCable" "NominalLengthCable" "NominalWidthOrDiameterCable" "NominalHeightCable" "NormalOperatingTemperature" "MaxOperatingTemperature" "SheathColorCable" "CrossSectionalAreaConductor" "NominalLengthConductor" "PhaseReferenceConductor" "MaximumOperatingTemperature" "IsFireResistant" "SheathColorConductor" "StructuralClass" "EnvironmentalClass" "FireRatingConcrete" "ServiceLife" "LifeCycleEnvironmentalLoad" "DimensionalAccuracyClass" "ConstructionToleranceClass" "ConstructionType" "ConcreteCoverAtMainBars" "ConcreteCoverAtLinks" "TotalConcreteQuantity" "Reference" "LayerName" "MaterialThicknessDuctSegment" "WorkingPressureDuctSegment" "UnitWeightMassDuctSegment" "LongitudinalSeam" "LengthDuctSegment" "Reinforcement" "ReinforcementSpacing" "NominalCurrent" "UsageCurrent" "ElectricalDeviceNominalPower" "NumberOfPoles" "HasProtectiveEarth" "PhaseAngle" "IP_Code" "PhaseReferenceElectricalDevice" "Azimuth" "Inclination" "AverageSolarTransmittance" "AverageVisibleTransmittance" "Reflectance" "Roughness" "ColorShading" "FireResistanceRatingProperties" "IsCombustible" "SurfaceSpreadOfFlameFireRatingProperties" "MaterialThicknessFlowSegmentDuct" "InteriorRoughnessCoefficientDuct" "HasLiner" "LengthFlowSegmentDuct" "ColorFlowSegmentDuct" "InteriorRoughnessCoefficientPipe" "LengthFlowSegmentPipe" "ColorFlowSegmentPipe" "Gradient" "InvertElevation" "BarCode" "SerialNumberManufacturer" "BatchReference" "ArticleNumber" "ModelReference" "ModelLabel" "Manufacturer" "ProductionYear" "SpecialInstructions" "WorkingPressurePipeSegment" "UnitWeightMassPipeSegment" "SlopeGutter" "FlowRating" "TypeDesignator" "ProductionLotId" "SerialNumberConcrete" "ElementWeight" "ElementGrossVolume" "ElementNetVolume" "CornerChamfer" "ManufacturingToleranceClass" "FormStrippingStrength" "LiftingStrength" "ReleaseStrength" "MinimumAllowableSupportLength" "InitialTension" "TendonRelaxation" "TransportationStrength" "SupportDuringTransportDescription" "HollowCorePlugging" "ProductRequirementsName" "CategoryProduct" "GroupName" "DemandValue" "DemandThresholdValue" "DemandImportanceValue" "SupplyEvaluationValue" "GapValue" "GapValueWeighted" "ReferenceQuantity" "LocalContext" "MeanTimeBetweenFailure" "NatureOfRisk" "SubNatureOfRisk1" "SubNatureOfRisk2" "RiskCause" "AffectsSurroundings" "WarrantyIdentifier" "IsExtendedWarranty" "WarrantyPeriod" "WarrantyContent" "Exclusions" "EndPoint" "StartPoint" "Length" "NetVolume" "GrossVolume" "CrossSectionArea" "OuterSurfaceArea" "NetSurfaceArea" "GrossSurfaceArea" "GUID") 
    

    Going through the list there is a property for "InvertElevation"

    You can find what it is set to with bim:get-property

    :(bim:get-property *ent* "InvertElevation")
    :0.0
    

    and set it using bim:set-property

    :(bim:set-property *ent* "InvertElevation" 2957.5)
    :T
    

    Assuming you can get InvertLevel to display using BIMTAG, then perhaps you can modify your LISP to assign the "InvertElevation" to your Flow segments, which would then be displayed in your BIMTAG.

    Note that Flow segments have a StartPoint & Endpoint, so an elevation only makes sense if the Z is the same for both.

    Regards,
    Jason Bourhill
    BricsCAD V21 Ultimate
    CAD Concepts